package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2022-11-21
 * @description : 推广账号列表展示
 */
@Data
public class PromoAccountListVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 推广账号id
     */
    @ApiModelProperty(notes = "推广账号id")
    private String account;

    /**
     * 推广账号名称
     */
    @ApiModelProperty(notes = "推广账号名称")
    private String name;

    /**
     * 投手项目组
     */
    @ApiModelProperty(notes = "投手项目组")
    private String pitcherGroupId;

    /**
     * 投手项目组名称
     */
    @ApiModelProperty(notes = "投手项目组名称")
    private String pitcherGroupName;

    /**
     * 投手id
     */
    @ApiModelProperty(notes = "投手id")
    private String pitcherId;

    /**
     * 投手名称
     */
    @ApiModelProperty(notes = "投手名称")
    private String pitcherName;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    @ApiModelProperty(notes = "推广媒体名称")
    private String mediaName;

    /**
     * 推广账号类型
     */
    @ApiModelProperty(notes = "推广账号类型")
    private Integer accountType;

    /**
     * 推广账号类型名称
     */
    @ApiModelProperty(notes = "推广账号类型名称")
    private String accountTypeName;

    /**
     * 开始时间
     */
    @ApiModelProperty(notes = "开始时间")
    private LocalDate startTime;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 状态, 0 : 投放中, 1: 待投放
     */
    @ApiModelProperty(notes = "状态, 0 : 投放中, 1: 待投放")
    private Integer status;
}
